xine-lib: xine-lib-1.2.13/src/post/audio/filter.c File Reference

xine-lib 1.2.13-20230125hg15249

Functions
filter.c File Reference
`#include <string.h>`
`#include <math.h>`
`#include "dsp.h"`

## Functions
float | fir (register unsigned int n, float *w, float *x)
float * | pfir (unsigned int n, unsigned int d, unsigned int xi, float **w, float **x, float *y, unsigned int s)
int | updatepq (unsigned int n, unsigned int d, unsigned int xi, float **xq, float *in, unsigned int s)
int | design_fir (unsigned int n, float *w, float *fc, unsigned int flags, float opt)
int | design_pfir (unsigned int n, unsigned int k, float *w, float **pw, float g, unsigned int flags)
void | prewarp (float *a, float fc, float fs)
void | bilinear (float *a, float *b, float *k, float fs, float *coef)
int | szxform (const float *a, const float *b, float Q, float fc, float fs, float *k, float *coef)

## Function Documentation

## ◆ bilinear()

void bilinear | ( | float * | a,
|  | float * | b,
|  | float * | k,
|  | float | fs,
|  | float * | coef )

References _ftype_t.

Referenced by szxform().

## ◆ design_fir()

int design_fir | ( | unsigned int | n,
|  | float * | w,
|  | float * | fc,
|  | unsigned int | flags,
|  | float | opt )

References _ftype_t, BLACKMAN, blackman(), BOXCAR, boxcar(), BP, BS, FLATTOP, flattop(), HAMMING, hamming(), HANNING, hanning(), HP, KAISER, kaiser(), LP, TRIANG, triang(), and WINDOW_MASK.

## ◆ design_pfir()

int design_pfir | ( | unsigned int | n,
|  | unsigned int | k,
|  | float * | w,
|  | float ** | pw,
|  | float | g,
|  | unsigned int | flags )

References _ftype_t, ODD, and REW.

## ◆ fir()

float fir | ( | register unsigned int | n,
|  | float * | w,
|  | float * | x )
| inline

References _ftype_t.

Referenced by pfir().

## ◆ pfir()

float * pfir | ( | unsigned int | n,
|  | unsigned int | d,
|  | unsigned int | xi,
|  | float ** | w,
|  | float ** | x,
|  | float * | y,
|  | unsigned int | s )
| inline

References _ftype_t, and fir().

## ◆ prewarp()

void prewarp | ( | float * | a,
|  | float | fc,
|  | float | fs )

References _ftype_t.

Referenced by szxform().

## ◆ szxform()

int szxform | ( | const float * | a,
|  | const float * | b,
|  | float | Q,
|  | float | fc,
|  | float | fs,
|  | float * | k,
|  | float * | coef )

References _ftype_t, bilinear(), prewarp(), and Q.

Referenced by upmix_port_open(), and upmix_port_put_buffer().

## ◆ updatepq()

int updatepq | ( | unsigned int | n,
|  | unsigned int | d,
|  | unsigned int | xi,
|  | float ** | xq,
|  | float * | in,
|  | unsigned int | s )
| inline

References _ftype_t.